<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<?php include('../../template.php'); ?>
<html>
    <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org">
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

        <title><?php echo PRODUCT_NAME; ?> Documentation</title>
        <link rel="stylesheet" type="text/css" href="../../css/doc.css">
        <meta http-equiv="Content-Type" content="text/html">
		<meta name="keywords" content="digital signage, signage, narrow-casting, <?php echo PRODUCT_NAME; ?>, open source, agpl" />
		<meta name="description" content="<?php echo PRODUCT_NAME; ?> is an open source digital signage solution. It supports all main media types and can be interfaced to other sources of data using CSV, Databases or RSS." />
        <link href="img/favicon.ico" rel="shortcut icon">
        <!-- Javascript Libraries -->
		<script type="text/javascript" src="lib/jquery.pack.js"></script>
		<script type="text/javascript" src="lib/jquery.dimensions.pack.js"></script>
		<script type="text/javascript" src="lib/jquery.ifixpng.js"></script>
    </head>

    <body>
    	<h2>Types of Content</h2>
    
  		<p>A content item is piece of media that you wish to display. This can be different types of media, such as 
        Videos, Flash animations, RSS feeds, Pictures and more.</p>
		<p>The library table comprises of all the content items that you have uploaded or created. You can also see any other 
        content items that a user has shared within this table</p>

     <blockquote>
        <h3>Filter</h3>
  		 <p>You can use the filter to search for the content item that you would like to modify.</p>
        <ul>
        	<p><strong>Name: </strong>Partial Name matching with the media items for display.</p>
        	<p><strong>Type: </strong>List specific media type i.e. all, image or video</p>
			<p><strong>Retired: </strong>List inactive media items in the library.</p>
			<p><strong>Owner: </strong>List media items with the specified owner</p>
			<p><strong>Original Filename: </strong>Display extra colume that shows the original file name for each media item.</p>
        </ul>

      	<p><img alt="Library Media" src="library_media.png"
	       style="display: block; text-align: center; margin-left: auto; margin-right: auto"
	       width="650" height="463"></p>

        <h3>Files</h3>
        <p><strong>Files</strong> consist of media files such as JPEG, WMV, AVI, SWF, PPT files that are stored on the server.</p>
        
        <ul>
			<p><strong>JPG</strong> is the common type of file used for still photos</p>
        	<p><strong>WMV</strong> stands for Windows Media Video files. These files allow full motion video to be shown on your display</p>
			<p><strong>SWF</strong> these are flash animation files.</p>
			<p><strong>PPT</strong> PowerPoint files can also be media types. If you wish to set an automated PowerPoint presentation to display all your slides you must configure this prior to upload. PowerPoint
				support is only available under Internet Explorer and with client machines that have Microsoft Office installed.</p>
        </ul>

        <h3>RSS</h3>

        <p><strong>RSS</strong> is used to retrieve information from the web that is syndicated in RSS.
        News feeds are commonly distributed this way. RSS is the best way to get up to date information 
        to your displays with less interaction on your behalf.</p>

        <p>The RSS Style provides information for the automation of the feed. If you would like to display 
        each story/item one at a time or if you would like a scroll effect. New custom effects can be built in 
        the RSS Styles page and will appear in the drop down list when adding a RSS item.</p>
       
        <p><?php echo PRODUCT_NAME; ?> has default RSS Styles which are available for selection when adding RSS content
        items. The RSS styles control how the RSS Feed is displayed. If the default RSS Styles do not achieve 
        the desired effect for a particular RSS feed additional RSS Styles can be added by an <?php echo PRODUCT_NAME; ?> admin.</p>

        <p>Note: This involves a knowledge of the way RSS, XSL and CSS are constructed.</p>
        
        <h3>Text</h3>

        <p><strong>Text</strong> provides the ability to create information directly into the system.
        Reports or messages can be created that can then be displayed on any layouts. Text input supports the
        selections of fonts, colours and sizes.</p>

        <h3>Website</h3>

        <p><?php echo PRODUCT_NAME; ?> allows an entire web page to be added to a slide. Possible uses for this would
        be a news article on a intranet news site.</p>

        <p>Please note that <?php echo PRODUCT_NAME; ?> can not guarantee that the website will fit on the displays
        that it gets scheduled on. The area that the website takes up on the slide will resize to fit, 
        but due to its design the containing website may not.</p>

        <h3>Datasets</h3>
        <p>DataSets are a new <?php echo PRODUCT_NAME; ?> feature to design and display tabular data, formatted nicely, in a region on a layout.</p>
      </blockquote>

		<?php include('../../template/footer.php'); ?>
    </body>
</html>

