<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<?php include('../../template.php'); ?>
<html>
<head>
  	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  	<title><?php echo PRODUCT_NAME; ?> Documentation</title>
  	<link rel="stylesheet" type="text/css" href="../../css/doc.css">
	<meta name="keywords" content="digital signage, signage, narrow-casting, <?php echo PRODUCT_NAME; ?>, open source, agpl" />
	<meta name="description" content="<?php echo PRODUCT_NAME; ?> is an open source digital signage solution. It supports all main media types and can be interfaced to other sources of data using CSV, Databases or RSS." />
  	<link href="img/favicon.ico" rel="shortcut icon">
  	<!-- Javascript Libraries -->
  	<script type="text/javascript" src="lib/jquery.pack.js"></script>
  	<script type="text/javascript" src="lib/jquery.dimensions.pack.js"></script>
  	<script type="text/javascript" src="lib/jquery.ifixpng.js"></script>
</head>

<body>
	<a name="Counter" id="Counter"></a><h2>Counter</h2>

	<p>The counter module provides an on screen counter which counts up or down in response to key presses (or to key presses 
	generated by a wireless presenter style remote control - often used to control PowerPoint presentations).</p>
	<p>It was originally written to cater for paper ticket systems where customers entering a business premises take a number from a 
	dispenser and wait for their number to be called before obtaining a product or service.</p>
	<p>In its most basic form, there is no need to add a Counter media type at all. From v1.3.0 of the Python client, you can 
	simply press Page Up or Page Down keys on the client machine (or via a wireless presenter style remote) and a popup 
	overlay will appear displaying the current counter number.</p>

<blockquote>
	<p>This popup overlay can be styled and configured using the configuration variables in the client site.cfg file as follows:</p>
	<ul>
		<li>nextScanCode=112 - Keyboard scan code used to increment the counter</li>
		<li>resetScanCode=0 - Keyboard scan code used to zero the counter</li>
		<li>prevScanCode=117 - Keyboard scan code used to decrement the counter</li>
		<li>maxCount=99 - Number the counter should count up to or down from</li>
		<li>osdBackColour=000000 - HTML/Hex colour for the popup background</li>
		<li>osdBackOpacity=0.7 - How opaic the background of the popup should be</li>
		<li>osdFontSize=270 - Font size of the number displayed in the popup</li>
		<li>osdFontColour=ffffff - Font colour of the number displayed in the popup in HTML/Hex</li>
		<li>osdWidthPercent=40 - Percentage of the width of the screen that the popup should occupy</li>
		<li>osdTimeOut=5000 - How many milliseconds the popup should be displayed for</li>
	</ul>
	
	<p>If you are not sure what scan codes there are, you can press "i" then "l" with the client running. That will popup the on-screen 
	logging. Any key press that is not currently being used will generate a log message with the scan code for that key - so you 
	can get the code you need and aoter the client configuration.</p>
	<p>You can also embed the counter number in a region. If you choose to do that, you can optionally disable the popup overlay 
		whilst that region/media item is on the screen.</p>
	<ul>
		<li>Click the "Add Counter" icon</li>
		<li>A new dialogue will appear: <br />
	
		<p><img alt="Ss_layout_designer_add_counter" src="Ss_layout_designer_add_counter.png"
		style="display: block; text-align: center; margin-left: auto; margin-right: auto"
		width="657" height="410"></p></li>		
	
		<li>The "Popup Notification" box enables or disables the popup overlay. Leaving the box unticked will disable the popup 
			while this media item is being shown on screen.</li>
		<li>The "Duration" box is the number of seconds the counter should be shown on screen for.</li>
		<li>The final box is a WYSIWYG HTML editor. You'll see a \[Counter\] tag. You can style that tag however you want 
			the counter value to be shown on the screen. You can also add additional text before and/or after the tag which 
			will also be displayed.</li>
	</ul>
</blockquote>

	<?php include('../../template/footer.php'); ?>
</body>
</html>
