<?php
/*
 * Xibo - Digitial Signage - http://www.xibo.org.uk
 * Copyright (C) 2006-2013 Daniel Garner
 *
 * This file is part of Xibo.
 *
 * Xibo is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version. 
 *
 * Xibo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Xibo.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Theme variables:
 *  form_id = The ID of the Form
 * 	form_meta = Extra META information required by the Transation
 * 	form_action = The URL for calling the Transaction
 * 	form_rows = Rows in this form (there are a number of groups shown)
 * 		value_view = The value for the view checkbox
 * 		value_edit = The value for the edit checkbox
 * 		value_del = The value for the delete checkbox
 * 		value_view_checked = Text "checked" or empty
 * 		value_edit_checked = Text "checked" or empty
 * 		value_del_checked = Text "checked" or empty
 */
defined('XIBO') or die("Sorry, you are not allowed to directly access this page.<br /> Please press the back button in your browser.");
?>
<form id="<?php echo Theme::Get('form_id'); ?>" class="XiboForm" method="post" action="<?php echo Theme::Get('form_action'); ?>">
	<?php echo Theme::Get('form_meta'); ?>
	<table class="table table-bordered">
      	<tr>
              <th><?php echo Theme::Translate('Group'); ?></th>
              <th><?php echo Theme::Translate('View'); ?></th>
              <th><?php echo Theme::Translate('Edit'); ?></th>
              <th><?php echo Theme::Translate('Delete'); ?></th>
      	</tr>
      	<?php foreach(Theme::Get('form_rows') as $row) { ?>
		<tr>
			<td><span class="<?php echo $row['class']; ?>"><?php echo $row['name']; ?></span></td>
			<td><input type="checkbox" name="groupids[]" value="<?php echo $row['value_view']; ?>" <?php echo $row['value_view_checked']; ?>></td>
			<td><input type="checkbox" name="groupids[]" value="<?php echo $row['value_edit']; ?>" <?php echo $row['value_edit_checked']; ?>></td>
			<td><input type="checkbox" name="groupids[]" value="<?php echo $row['value_del']; ?>" <?php echo $row['value_del_checked']; ?>></td>
		</tr>
		<?php } ?>
  	</table>
</form>